Access request status
GET/access-request-status/v1
Use this API to return a list of access request statuses based on the specified query parameters.
If an access request was made for access that an identity already has, the API ignores the access request. These ignored requests do not display in the list of access request statuses.
Any user with any user level can get the status of their own access requests. A user with ORG_ADMIN is required to call this API to get a list of statuses for other users. For access requests for machines, each status item will include identityType as MACHINE and requestedFor with type: MACHINE_IDENTITY and the machine id. Requests without a stored identity type are returned as HUMAN / IDENTITY.
When a requested object has an associated form, each status item may include a form object with the form definition ID, instance ID, and answers (formData).
Request
Responses
- 200
- 400
- 401
- 403
- 429
- 500
List of requested item statuses.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.